Avro C#

Classes | Functions
Avro.Generic Namespace Reference

## Classes
interface | DatumReader
| Defines the interface for an object that reads data of a schema. More...
interface | DatumWriter
| Defines the interface for an object that writes data of a schema. More...
class | DefaultReader
| The default implementation for the generic reader. It constructs new .NET objects for avro objects on the stream and returns the .NET object. Users can directly use this class or, if they want to customize the object types for different Avro schema types, can derive from this class. There are enough hooks in this class to allow customization. More...
class | DefaultWriter
| A General purpose writer for serializing objects into a Stream using Avro. This class implements a default way of serializing objects. But one can derive a class from this and override different methods to achieve results that are different from the default implementation. More...
class | GenericDatumReader
| PreresolvingDatumReader<T> for reading data to GenericRecord classes or primitives. For more information about performance considerations for choosing this implementation. More...
class | GenericDatumWriter
| PreresolvingDatumWriter for writing data from GenericRecords or primitive types. For more information about performance considerations for choosing this implementation More...
class | GenericEnum
| The default class to hold values for enum schema in GenericReader and GenericWriter. More...
class | GenericFixed
| The default type used by GenericReader and GenericWriter for objects for FixedSchema More...
class | GenericReader
| A general purpose reader of data from avro streams. This can optionally resolve if the reader's and writer's schemas are different. This class is a wrapper around DefaultReader and offers a little more type safety. The default reader has the flexibility to return any type of object for each read call because the Read() method is generic. This class on the other hand can only return a single type because the type is a parameter to the class. Any user defined extension should, however, be done to DefaultReader. This class is sealed. More...
class | GenericRecord
| The default type used by GenericReader and GenericWriter for RecordSchema. More...
class | GenericWriter
| A typesafe wrapper around DefaultWriter. While a specific object of DefaultWriter allows the client to serialize a generic type, an object of this class allows only a single type of object to be serialized through it. More...
class | PreresolvingDatumReader
| A general purpose reader of data from avro streams. This reader analyzes and resolves the reader and writer schemas when constructed so that reads can be more efficient. Once constructed, a reader can be reused or shared among threads to avoid incurring more resolution costs. More...
class | PreresolvingDatumWriter
| A general purpose writer of data from avro streams. This writer analyzes the writer schema when constructed so that writes can be more efficient. Once constructed, a writer can be reused or shared among threads to avoid incurring more resolution costs. More...

## Functions
delegate T | Reader< T > ()
| A function that can read the Avro type from the stream. More...
delegate void | Writer< T > (T t)
| Defines the signature for a function that writes an object. More...

## Function Documentation

## ◆ Reader< T >()

delegate T Avro.Generic.Reader< T > | ( |  | ) |

A function that can read the Avro type from the stream.

Template Parameters

  T | Type to read.

Returns
  The read object.

## ◆ Writer< T >()

delegate void Avro.Generic.Writer< T > | ( | T | t | ) |

Defines the signature for a function that writes an object.

Template Parameters

  T | Type of object to write.

Parameters

  t | Object to write.